=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-07-28 21:10:52 +0000
+++ drizzled/drizzled.cc	2008-07-28 22:43:11 +0000
@@ -217,7 +217,6 @@
 /* static variables */
 
 /* the default log output is log tables */
-static bool lower_case_table_names_used= 0;
 static bool volatile select_thread_in_use, signal_thread_in_use;
 static bool volatile ready_to_exit;
 static bool opt_debugging= 0, opt_console= 0;
@@ -280,7 +279,6 @@
 char* opt_secure_file_priv= 0;
 bool opt_log_slow_admin_statements= 0;
 bool opt_log_slow_slave_statements= 0;
-bool lower_case_file_system= 0;
 bool opt_old_style_user_limits= 0;
 bool trust_function_creators= 0;
 /*
@@ -403,8 +401,6 @@
 Ge_creator ge_creator;
 Le_creator le_creator;
 
-FILE *bootstrap_file;
-int bootstrap_error;
 FILE *stderror_file=0;
 
 I_List<THD> threads;
@@ -2216,9 +2212,9 @@
   if (my_database_names_init())
     return 1;
 
-  lower_case_file_system= true;
 
   /* Reset table_alias_charset, now that lower_case_table_names is set. */
+  lower_case_table_names= 1; /* This we need to look at */
   table_alias_charset= files_charset_info;
 
   return 0;
@@ -4399,121 +4395,121 @@
     opt_error_log= 1;
     break;
   case (int)OPT_REPLICATE_IGNORE_DB:
-  {
-    rpl_filter->add_ignore_db(argument);
-    break;
-  }
+    {
+      rpl_filter->add_ignore_db(argument);
+      break;
+    }
   case (int)OPT_REPLICATE_DO_DB:
-  {
-    rpl_filter->add_do_db(argument);
-    break;
-  }
+    {
+      rpl_filter->add_do_db(argument);
+      break;
+    }
   case (int)OPT_REPLICATE_REWRITE_DB:
-  {
-    char* key = argument,*p, *val;
-
-    if (!(p= strstr(argument, "->")))
-    {
-      fprintf(stderr,
-	      "Bad syntax in replicate-rewrite-db - missing '->'!\n");
-      exit(1);
-    }
-    val= p--;
-    while (my_isspace(mysqld_charset, *p) && p > argument)
-      *p-- = 0;
-    if (p == argument)
-    {
-      fprintf(stderr,
-	      "Bad syntax in replicate-rewrite-db - empty FROM db!\n");
-      exit(1);
-    }
-    *val= 0;
-    val+= 2;
-    while (*val && my_isspace(mysqld_charset, *val))
-      *val++;
-    if (!*val)
-    {
-      fprintf(stderr,
-	      "Bad syntax in replicate-rewrite-db - empty TO db!\n");
-      exit(1);
-    }
-
-    rpl_filter->add_db_rewrite(key, val);
-    break;
-  }
+    {
+      char* key = argument,*p, *val;
+
+      if (!(p= strstr(argument, "->")))
+      {
+        fprintf(stderr,
+                "Bad syntax in replicate-rewrite-db - missing '->'!\n");
+        exit(1);
+      }
+      val= p--;
+      while (my_isspace(mysqld_charset, *p) && p > argument)
+        *p-- = 0;
+      if (p == argument)
+      {
+        fprintf(stderr,
+                "Bad syntax in replicate-rewrite-db - empty FROM db!\n");
+        exit(1);
+      }
+      *val= 0;
+      val+= 2;
+      while (*val && my_isspace(mysqld_charset, *val))
+        *val++;
+      if (!*val)
+      {
+        fprintf(stderr,
+                "Bad syntax in replicate-rewrite-db - empty TO db!\n");
+        exit(1);
+      }
+
+      rpl_filter->add_db_rewrite(key, val);
+      break;
+    }
 
   case (int)OPT_BINLOG_IGNORE_DB:
-  {
-    binlog_filter->add_ignore_db(argument);
-    break;
-  }
+    {
+      binlog_filter->add_ignore_db(argument);
+      break;
+    }
   case OPT_BINLOG_FORMAT:
-  {
-    int id;
-    id= find_type_or_exit(argument, &binlog_format_typelib, opt->name);
-    global_system_variables.binlog_format= opt_binlog_format_id= id - 1;
-    break;
-  }
+    {
+      int id;
+      id= find_type_or_exit(argument, &binlog_format_typelib, opt->name);
+      global_system_variables.binlog_format= opt_binlog_format_id= id - 1;
+      break;
+    }
   case (int)OPT_BINLOG_DO_DB:
-  {
-    binlog_filter->add_do_db(argument);
-    break;
-  }
+    {
+      binlog_filter->add_do_db(argument);
+      break;
+    }
   case (int)OPT_REPLICATE_DO_TABLE:
-  {
-    if (rpl_filter->add_do_table(argument))
     {
-      fprintf(stderr, "Could not add do table rule '%s'!\n", argument);
-      exit(1);
+      if (rpl_filter->add_do_table(argument))
+      {
+        fprintf(stderr, "Could not add do table rule '%s'!\n", argument);
+        exit(1);
+      }
+      break;
     }
-    break;
-  }
   case (int)OPT_REPLICATE_WILD_DO_TABLE:
-  {
-    if (rpl_filter->add_wild_do_table(argument))
     {
-      fprintf(stderr, "Could not add do table rule '%s'!\n", argument);
-      exit(1);
+      if (rpl_filter->add_wild_do_table(argument))
+      {
+        fprintf(stderr, "Could not add do table rule '%s'!\n", argument);
+        exit(1);
+      }
+      break;
     }
-    break;
-  }
   case (int)OPT_REPLICATE_WILD_IGNORE_TABLE:
-  {
-    if (rpl_filter->add_wild_ignore_table(argument))
     {
-      fprintf(stderr, "Could not add ignore table rule '%s'!\n", argument);
-      exit(1);
+      if (rpl_filter->add_wild_ignore_table(argument))
+      {
+        fprintf(stderr, "Could not add ignore table rule '%s'!\n", argument);
+        exit(1);
+      }
+      break;
     }
-    break;
-  }
   case (int)OPT_REPLICATE_IGNORE_TABLE:
-  {
-    if (rpl_filter->add_ignore_table(argument))
     {
-      fprintf(stderr, "Could not add ignore table rule '%s'!\n", argument);
-      exit(1);
+      if (rpl_filter->add_ignore_table(argument))
+      {
+        fprintf(stderr, "Could not add ignore table rule '%s'!\n", argument);
+        exit(1);
+      }
+      break;
     }
-    break;
-  }
   case (int) OPT_SLOW_QUERY_LOG:
     opt_slow_log= 1;
     break;
 #ifdef WITH_CSV_STORAGE_ENGINE
   case  OPT_LOG_OUTPUT:
-  {
-    if (!argument || !argument[0])
     {
-      log_output_options= LOG_FILE;
-      log_output_str= log_output_typelib.type_names[1];
+      if (!argument || !argument[0])
+      {
+        log_output_options= LOG_FILE;
+        log_output_str= log_output_typelib.type_names[1];
+      }
+      else
+      {
+        log_output_str= argument;
+        log_output_options=
+          find_bit_type_or_exit(argument, &log_output_typelib, opt->name);
+      }
+      break;
     }
-    else
-    {
-      log_output_str= argument;
-      log_output_options=
-        find_bit_type_or_exit(argument, &log_output_typelib, opt->name);
-  }
-    break;
-  }
 #endif
   case (int) OPT_SKIP_NEW:
     opt_specialflag|= SPECIAL_NO_NEW_FUNC;
@@ -4605,65 +4601,61 @@
     charsets_dir = mysql_charsets_dir;
     break;
   case OPT_TX_ISOLATION:
-  {
-    int type;
-    type= find_type_or_exit(argument, &tx_isolation_typelib, opt->name);
-    global_system_variables.tx_isolation= (type-1);
-    break;
-  }
+    {
+      int type;
+      type= find_type_or_exit(argument, &tx_isolation_typelib, opt->name);
+      global_system_variables.tx_isolation= (type-1);
+      break;
+    }
   case OPT_MYISAM_RECOVER:
-  {
-    if (!argument)
-    {
-      myisam_recover_options=    HA_RECOVER_DEFAULT;
-      myisam_recover_options_str= myisam_recover_typelib.type_names[0];
-    }
-    else if (!argument[0])
-    {
-      myisam_recover_options= HA_RECOVER_NONE;
-      myisam_recover_options_str= "OFF";
-    }
-    else
-    {
-      myisam_recover_options_str=argument;
-      myisam_recover_options=
-        find_bit_type_or_exit(argument, &myisam_recover_typelib, opt->name);
-    }
-    ha_open_options|=HA_OPEN_ABORT_IF_CRASHED;
-    break;
-  }
+    {
+      if (!argument)
+      {
+        myisam_recover_options=    HA_RECOVER_DEFAULT;
+        myisam_recover_options_str= myisam_recover_typelib.type_names[0];
+      }
+      else if (!argument[0])
+      {
+        myisam_recover_options= HA_RECOVER_NONE;
+        myisam_recover_options_str= "OFF";
+      }
+      else
+      {
+        myisam_recover_options_str=argument;
+        myisam_recover_options=
+          find_bit_type_or_exit(argument, &myisam_recover_typelib, opt->name);
+      }
+      ha_open_options|=HA_OPEN_ABORT_IF_CRASHED;
+      break;
+    }
   case OPT_TC_HEURISTIC_RECOVER:
     tc_heuristic_recover= find_type_or_exit(argument,
                                             &tc_heuristic_recover_typelib,
                                             opt->name);
     break;
   case OPT_MYISAM_STATS_METHOD:
-  {
-    ulong method_conv;
-    int method;
+    {
+      ulong method_conv;
+      int method;
 
-    myisam_stats_method_str= argument;
-    method= find_type_or_exit(argument, &myisam_stats_method_typelib,
-                              opt->name);
-    switch (method-1) {
-    case 2:
-      method_conv= MI_STATS_METHOD_IGNORE_NULLS;
-      break;
-    case 1:
-      method_conv= MI_STATS_METHOD_NULLS_EQUAL;
-      break;
-    case 0:
-    default:
-      method_conv= MI_STATS_METHOD_NULLS_NOT_EQUAL;
+      myisam_stats_method_str= argument;
+      method= find_type_or_exit(argument, &myisam_stats_method_typelib,
+                                opt->name);
+      switch (method-1) {
+      case 2:
+        method_conv= MI_STATS_METHOD_IGNORE_NULLS;
+        break;
+      case 1:
+        method_conv= MI_STATS_METHOD_NULLS_EQUAL;
+        break;
+      case 0:
+      default:
+        method_conv= MI_STATS_METHOD_NULLS_NOT_EQUAL;
+        break;
+      }
+      global_system_variables.myisam_stats_method= method_conv;
       break;
     }
-    global_system_variables.myisam_stats_method= method_conv;
-    break;
-  }
-  case OPT_LOWER_CASE_TABLE_NAMES:
-    lower_case_table_names= 1;
-    lower_case_table_names_used= 1;
-    break;
   }
   return 0;
 }

=== modified file 'drizzled/mysql_priv.h'
--- drizzled/mysql_priv.h	2008-07-28 06:38:30 +0000
+++ drizzled/mysql_priv.h	2008-07-28 22:43:11 +0000
@@ -1626,8 +1626,6 @@
 extern bool use_temp_pool;
 extern ulong slave_exec_mode_options;
 extern bool opt_readonly;
-extern bool lower_case_file_system;
-extern bool opt_enable_named_pipe;
 extern bool opt_sync_frm;
 extern bool opt_secure_auth;
 extern char* opt_secure_file_priv;
@@ -1636,8 +1634,6 @@
 extern bool opt_noacl;
 extern bool opt_old_style_user_limits;
 extern uint opt_crash_binlog_innodb;
-extern char *shared_memory_base_name;
-extern bool opt_enable_shared_memory;
 extern char *default_tz_name;
 #endif /* MYSQL_SERVER */
 #ifdef MYSQL_SERVER
@@ -1647,8 +1643,6 @@
 extern MYSQL_BIN_LOG mysql_bin_log;
 extern LOGGER logger;
 extern TABLE_LIST general_log, slow_log;
-extern FILE *bootstrap_file;
-extern int bootstrap_error;
 extern FILE *stderror_file;
 extern pthread_key(MEM_ROOT**,THR_MALLOC);
 extern pthread_mutex_t LOCK_mysql_create_db,LOCK_open, LOCK_lock_db,

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2008-07-28 05:13:29 +0000
+++ drizzled/set_var.cc	2008-07-28 22:43:11 +0000
@@ -621,8 +621,6 @@
 #endif
   {"log_bin",                 (char*) &opt_bin_log,                 SHOW_BOOL},
   {"log_error",               (char*) log_error_file,               SHOW_CHAR},
-  {"lower_case_file_system",  (char*) &lower_case_file_system,      SHOW_MY_BOOL},
-  {"lower_case_table_names",  (char*) &lower_case_table_names,      SHOW_INT},
   {"myisam_recover_options",  (char*) &myisam_recover_options_str,  SHOW_CHAR_PTR},
   {"open_files_limit",	      (char*) &open_files_limit,	    SHOW_LONG},
   {"pid_file",                (char*) pidfile_name,                 SHOW_CHAR},

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-07-28 07:17:35 +0000
+++ drizzled/sql_parse.cc	2008-07-28 22:43:11 +0000
@@ -4535,15 +4535,10 @@
 
   if (home_dir_len < dir_len)
   {
-    if (lower_case_file_system)
-    {
-      if (!my_strnncoll(character_set_filesystem,
-                        (const uchar*) conv_path, home_dir_len,
-                        (const uchar*) mysql_unpacked_real_data_home,
-                        home_dir_len))
-        return(1);
-    }
-    else if (!memcmp(conv_path, mysql_unpacked_real_data_home, home_dir_len))
+    if (!my_strnncoll(character_set_filesystem,
+                      (const uchar*) conv_path, home_dir_len,
+                      (const uchar*) mysql_unpacked_real_data_home,
+                      home_dir_len))
       return(1);
   }
   return(0);

